
Redmine - Patch #42496

Drop support for Ruby 3.1

2025-03-30 23:00 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 6.1.0   

Description

Support for Ruby 3.1 is ending on 31 Mar 2025.

Should we drop support for it in Redmine 6.1.0 once we add support for Ruby 3.4 (#41976)?

Related issues:

Related to Redmine - Feature #41976: Ruby 3.4 support Closed

Associated revisions

Revision 23694 - 2025-04-20 09:55 - Marius BĂLTEANU

Drop support for Ruby 3.1 (#42496).

Revision 23698 - 2025-04-21 07:57 - Go MAEDA

Fix Rubocop Style/ArgumentsForwarding (#42496).

History

#1 - 2025-04-11 16:53 - Marius BĂLTEANU

- Related to Feature #41976: Ruby 3.4 support added

#2 - 2025-04-20 09:44 - Marius BĂLTEANU

- Target version set to 6.1.0

#3 - 2025-04-21 07:19 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

#4 - 2025-04-21 07:20 - Marius BĂLTEANU

- Category changed from Code cleanup/refactoring to Ruby support

#5 - 2025-04-27 08:59 - Marius BĂLTEANU

- Status changed from Resolved to Closed
